CCK Wizard 1.3.4 is Available

I’ve released version 1.3.4 of the CCK Wizard. It’s available here.

It has the following changes:

  • Delete the previous CCK’s bookmarks upon upgrade.
  • Install plugins in the correct directory
  • Allow two CCKs to coexist
  • Much better method for overriding about:config
  • No longer use JAR files
  • Bump internal versions to 10.*

A problem was discovered after I released this where if your Company Identifier contains a dash (-), you’ll run into problems. You can either remove the -, or use the beta version I uploaded here. This wasn’t a big enough problem for me to refresh the build.

Feedback is appreciated. Support is available on code.google.com.

Please note: I reserve the right to delete comments that are offensive or off-topic.

Leave a Reply

Your email address will not be published. Required fields are marked *

10 thoughts on “CCK Wizard 1.3.4 is Available

  1. Short Question – didn’t find the answer anywhere: Is CCK for Firefox ESR only or will it also support releases between ESR versions like 11.x ?

    (didn’t know of CCK until today – think it is good but xpi didn’t work in FF 11 – but it would be nice if it would)

    • It’s not just for the ESR, it’s for everyone.

      When you say the XPI didn’t work in FF 11, do you mean the XPI you created? Or the CCK Wizard itself?

      • WOW you’re fast! I’m running CCK with FF 11 on my Desktop but when testing the generated plugin I wasn’t able to install. (FF 11 on Ubuntu LTS Lucid : 11.0+build1-0ubuntu0.10.04.2)

        Tells me the generated plugin isn’t compatible with FF11

        • It’s not totally obvious, but on the first page with a lot of entry field, there are two combo fields where you can set the min and maxVersion.

          So they have dropdowns and you can type into them.

          You can set the maxVersion to 11.* (or even *) and it will be compatible.